<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.diademaFisiometria2.home.createOrEditLabel"
          data-cy="Fisiometria2CreateUpdateHeading"
          v-text="$t('gatewayApp.diademaFisiometria2.home.createOrEditLabel')"
        >
          Create or edit a Fisiometria2
        </h2>
        <div>
          <div class="form-group" v-if="fisiometria2.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="fisiometria2.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.diademaFisiometria2.timeInstant')" for="fisiometria-2-timeInstant"
              >Time Instant</label
            >
            <div class="d-flex">
              <input
                id="fisiometria-2-timeInstant"
                data-cy="timeInstant"
                type="datetime-local"
                class="form-control"
                name="timeInstant"
                :class="{ valid: !$v.fisiometria2.timeInstant.$invalid, invalid: $v.fisiometria2.timeInstant.$invalid }"
                :value="convertDateTimeFromServer($v.fisiometria2.timeInstant.$model)"
                @change="updateInstantField('timeInstant', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.diademaFisiometria2.meditacion')" for="fisiometria-2-meditacion"
              >Meditacion</label
            >
            <input
              type="number"
              class="form-control"
              name="meditacion"
              id="fisiometria-2-meditacion"
              data-cy="meditacion"
              :class="{ valid: !$v.fisiometria2.meditacion.$invalid, invalid: $v.fisiometria2.meditacion.$invalid }"
              v-model.number="$v.fisiometria2.meditacion.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.diademaFisiometria2.attention')" for="fisiometria-2-attention"
              >Attention</label
            >
            <input
              type="number"
              class="form-control"
              name="attention"
              id="fisiometria-2-attention"
              data-cy="attention"
              :class="{ valid: !$v.fisiometria2.attention.$invalid, invalid: $v.fisiometria2.attention.$invalid }"
              v-model.number="$v.fisiometria2.attention.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.diademaFisiometria2.delta')" for="fisiometria-2-delta">Delta</label>
            <input
              type="number"
              class="form-control"
              name="delta"
              id="fisiometria-2-delta"
              data-cy="delta"
              :class="{ valid: !$v.fisiometria2.delta.$invalid, invalid: $v.fisiometria2.delta.$invalid }"
              v-model.number="$v.fisiometria2.delta.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.diademaFisiometria2.theta')" for="fisiometria-2-theta">Theta</label>
            <input
              type="number"
              class="form-control"
              name="theta"
              id="fisiometria-2-theta"
              data-cy="theta"
              :class="{ valid: !$v.fisiometria2.theta.$invalid, invalid: $v.fisiometria2.theta.$invalid }"
              v-model.number="$v.fisiometria2.theta.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.diademaFisiometria2.lowAlpha')" for="fisiometria-2-lowAlpha"
              >Low Alpha</label
            >
            <input
              type="number"
              class="form-control"
              name="lowAlpha"
              id="fisiometria-2-lowAlpha"
              data-cy="lowAlpha"
              :class="{ valid: !$v.fisiometria2.lowAlpha.$invalid, invalid: $v.fisiometria2.lowAlpha.$invalid }"
              v-model.number="$v.fisiometria2.lowAlpha.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.diademaFisiometria2.highAlpha')" for="fisiometria-2-highAlpha"
              >High Alpha</label
            >
            <input
              type="number"
              class="form-control"
              name="highAlpha"
              id="fisiometria-2-highAlpha"
              data-cy="highAlpha"
              :class="{ valid: !$v.fisiometria2.highAlpha.$invalid, invalid: $v.fisiometria2.highAlpha.$invalid }"
              v-model.number="$v.fisiometria2.highAlpha.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.diademaFisiometria2.lowBeta')" for="fisiometria-2-lowBeta"
              >Low Beta</label
            >
            <input
              type="number"
              class="form-control"
              name="lowBeta"
              id="fisiometria-2-lowBeta"
              data-cy="lowBeta"
              :class="{ valid: !$v.fisiometria2.lowBeta.$invalid, invalid: $v.fisiometria2.lowBeta.$invalid }"
              v-model.number="$v.fisiometria2.lowBeta.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.diademaFisiometria2.highBeta')" for="fisiometria-2-highBeta"
              >High Beta</label
            >
            <input
              type="number"
              class="form-control"
              name="highBeta"
              id="fisiometria-2-highBeta"
              data-cy="highBeta"
              :class="{ valid: !$v.fisiometria2.highBeta.$invalid, invalid: $v.fisiometria2.highBeta.$invalid }"
              v-model.number="$v.fisiometria2.highBeta.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.diademaFisiometria2.lowGamma')" for="fisiometria-2-lowGamma"
              >Low Gamma</label
            >
            <input
              type="number"
              class="form-control"
              name="lowGamma"
              id="fisiometria-2-lowGamma"
              data-cy="lowGamma"
              :class="{ valid: !$v.fisiometria2.lowGamma.$invalid, invalid: $v.fisiometria2.lowGamma.$invalid }"
              v-model.number="$v.fisiometria2.lowGamma.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.diademaFisiometria2.midGamma')" for="fisiometria-2-midGamma"
              >Mid Gamma</label
            >
            <input
              type="number"
              class="form-control"
              name="midGamma"
              id="fisiometria-2-midGamma"
              data-cy="midGamma"
              :class="{ valid: !$v.fisiometria2.midGamma.$invalid, invalid: $v.fisiometria2.midGamma.$invalid }"
              v-model.number="$v.fisiometria2.midGamma.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.diademaFisiometria2.pulso')" for="fisiometria-2-pulso">Pulso</label>
            <input
              type="number"
              class="form-control"
              name="pulso"
              id="fisiometria-2-pulso"
              data-cy="pulso"
              :class="{ valid: !$v.fisiometria2.pulso.$invalid, invalid: $v.fisiometria2.pulso.$invalid }"
              v-model.number="$v.fisiometria2.pulso.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.diademaFisiometria2.respiracion')" for="fisiometria-2-respiracion"
              >Respiracion</label
            >
            <input
              type="number"
              class="form-control"
              name="respiracion"
              id="fisiometria-2-respiracion"
              data-cy="respiracion"
              :class="{ valid: !$v.fisiometria2.respiracion.$invalid, invalid: $v.fisiometria2.respiracion.$invalid }"
              v-model.number="$v.fisiometria2.respiracion.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.diademaFisiometria2.acelerometro')" for="fisiometria-2-acelerometro"
              >Acelerometro</label
            >
            <input
              type="number"
              class="form-control"
              name="acelerometro"
              id="fisiometria-2-acelerometro"
              data-cy="acelerometro"
              :class="{ valid: !$v.fisiometria2.acelerometro.$invalid, invalid: $v.fisiometria2.acelerometro.$invalid }"
              v-model.number="$v.fisiometria2.acelerometro.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.diademaFisiometria2.estadoFuncional')"
              for="fisiometria-2-estadoFuncional"
              >Estado Funcional</label
            >
            <input
              type="number"
              class="form-control"
              name="estadoFuncional"
              id="fisiometria-2-estadoFuncional"
              data-cy="estadoFuncional"
              :class="{ valid: !$v.fisiometria2.estadoFuncional.$invalid, invalid: $v.fisiometria2.estadoFuncional.$invalid }"
              v-model.number="$v.fisiometria2.estadoFuncional.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.diademaFisiometria2.user')" for="fisiometria-2-user">User</label>
            <select class="form-control" id="fisiometria-2-user" data-cy="user" name="user" v-model="fisiometria2.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="fisiometria2.user && userOption.id === fisiometria2.user.id ? fisiometria2.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.fisiometria2.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./fisiometria-2-update.component.ts"></script>
